ALTER TABLE TEXP_PRG_PROPAGATION_GROUP DROP CONSTRAINT P_PRG_ID;
ALTER TABLE TEXP_PRG_PROPAGATION_GROUP DROP CONSTRAINT U_NAME_CMP;

ALTER TABLE TEXP_PCN_PROPAGATION_CONTAINER DROP CONSTRAINT P_PCN_ID;
ALTER TABLE TEXP_PCN_PROPAGATION_CONTAINER DROP CONSTRAINT U_CMP_NAME_TYPE;
ALTER TABLE TEXP_PCN_PROPAGATION_CONTAINER DROP CONSTRAINT U_PRGID_TYPE_ORDER;
ALTER TABLE TEXP_PCN_PROPAGATION_CONTAINER DROP CONSTRAINT FK_PCN_PRG_ID;

ALTER TABLE TEXP_PAC_PROPAGATION_ATTR_COLL DROP CONSTRAINT U_PCNID_ATTRCOLL;
ALTER TABLE TEXP_PAC_PROPAGATION_ATTR_COLL DROP CONSTRAINT FK_PAC_PCN_ID;
ALTER TABLE TEXP_CHC_CTG_HIER_CONFIG DROP CONSTRAINT U_PCNID_HIERNAME;
ALTER TABLE TEXP_CHC_CTG_HIER_CONFIG DROP CONSTRAINT FK_CHC_PCN_ID;

ALTER TABLE TEXP_PRG_PROPAGATION_GROUP 
	ADD CONSTRAINT P_PRG_ID PRIMARY KEY
		(PRG_ID);

ALTER TABLE TEXP_PRG_PROPAGATION_GROUP 
	ADD CONSTRAINT U_NAME_CMP UNIQUE
		(PRG_COMPANY_CODE,
		 PRG_NAME);		

ALTER TABLE TEXP_PCN_PROPAGATION_CONTAINER 
	ADD CONSTRAINT P_PCN_ID PRIMARY KEY
		(PCN_ID);

		
ALTER TABLE TEXP_PCN_PROPAGATION_CONTAINER 
	ADD CONSTRAINT U_CMP_NAME_TYPE UNIQUE
		(PCN_COMPANY_CODE,
		 PCN_CONTAINER_NAME,
		 PCN_CONTAINER_TYPE);


ALTER TABLE TEXP_PCN_PROPAGATION_CONTAINER 
	ADD CONSTRAINT U_PRGID_TYPE_ORDER UNIQUE
		(PCN_PRG_ID,
		 PCN_CONTAINER_TYPE,
		 PCN_CONTAINER_ORDER);
ALTER TABLE TEXP_PCN_PROPAGATION_CONTAINER 
	ADD CONSTRAINT FK_PCN_PRG_ID FOREIGN KEY
		(PCN_PRG_ID)
	REFERENCES TEXP_PRG_PROPAGATION_GROUP
		(PRG_ID)
	ON DELETE CASCADE;
ALTER TABLE TEXP_PAC_PROPAGATION_ATTR_COLL 
	ADD CONSTRAINT U_PCNID_ATTRCOLL UNIQUE
		(PAC_PCN_ID,
		 PAC_ATTR_COLL_NAME);		 


ALTER TABLE TEXP_PAC_PROPAGATION_ATTR_COLL 
	ADD CONSTRAINT FK_PAC_PCN_ID FOREIGN KEY
		(PAC_PCN_ID)
	REFERENCES TEXP_PCN_PROPAGATION_CONTAINER
		(PCN_ID)
	ON DELETE CASCADE;
ALTER TABLE TEXP_CHC_CTG_HIER_CONFIG 
	ADD CONSTRAINT U_PCNID_HIERNAME UNIQUE
		(CHC_PCN_ID,
		 CHC_HIERARCHY_NAME);

		 



ALTER TABLE TEXP_CHC_CTG_HIER_CONFIG 
	ADD CONSTRAINT FK_CHC_PCN_ID FOREIGN KEY
		(CHC_PCN_ID)
	REFERENCES TEXP_PCN_PROPAGATION_CONTAINER
		(PCN_ID)
	ON DELETE CASCADE;
