#!/bin/bash
# IBM Confidential
# OCO Source Materials
# 5724-V51
#
# (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.

# get params
. ${TOP}/bin/get_params.sh

# stop everything first
${ADMIN_DIR}/abort_local.sh

sleep 2

LOGS_DIR=${TOP}/logs
${ECHO} "removing logs directory: ${LOGS_DIR}"
${RM} ${LOGS_DIR}

# we use stop=no here because we already stopped everything
${ADMIN_DIR}/start/start_rmiregistry.sh --stop=no

sleep 2

#${ADMIN_DIR}/start/start_admin.sh --stop=no
#${ADMIN_DIR}/start/start_queuemanager.sh --stop=no
#${ADMIN_DIR}/start/start_scheduler.sh --stop=no
#${ADMIN_DIR}/start/start_eventprocessor.sh --stop=no

if [ "${_CCD_DEBUG}" = "yes" ]; then
     . ${TOP}/bin/ccd_debugging.sh on_appsvr
     ${ADMIN_DIR}/start/start_appsvr.sh --stop=no
  else
    ${ADMIN_DIR}/start/start_appsvr.sh --stop=no
 fi

