#!/bin/bash
# IBM Confidential
# OCO Source Materials
# 5724-V51
#
# (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
# The purpose of this script is to regenerate indices for entities i.e items and categories.If the index option for any of the attribute
# of the spec associated with the item or category is changed after some items or categories are created, then this script needs to be run
# to regenerate indices. This will ensure that the search results based on the changed attribute(s) returns correct result. 

# 
# # Copyright (c) 2000, 2004 IBM Corp. - All Rights Reserved.
# # IBM makes no representations or warranties about the suitability of
# # this program, either express or implied, including but not limited to
# # the implied warranties of merchantability, fitness for a particular
# # purpose, or non-infringement. 
# 
#

. ${TOP}/bin/get_params.sh

printUsage()
{
    ${ECHO} "USAGE: " $0 "--company=<company_name> run_options [tuning_options]"
    ${ECHO} "Example: " $0 "--company=ibm --catalog=catalog1" 
    exit 0
}

if [[ $# -lt 2 ]]
then
    printUsage
fi

IMPORT_MEM_FLAGS="-Xmx1024m -Xms1024m"

JIMPORT="${JAVA_RT} ${IMPORT_MEM_FLAGS}"

eval ${JIMPORT} com.ibm.ccd.content.common.IndexRegeneratorFast $*

${ECHO} "Check log files in directory $TOP/logs/default"
