<%@ page language="java" contentType="text/html; charset=utf-8"
	pageEncoding="utf-8"%>
<%@page import="com.ibm.pim.dcl.configuration.*"%>
<%@page import="java.util.List"%>
<%@page import="java.util.Collections"%>
<%@page import="com.ibm.pim.context.Context"%>
<%@page import="com.ibm.pim.context.PIMContextFactory"%>
<%@page import="com.ibm.pim.dcl.view.WizardComponent"%>


<%@page
	import="com.ibm.pim.mdmexport.view.PropagationGroupNameComponent"%>
<%@page
	import="com.ibm.pim.mdmexport.view.PropagationGroupDescComponent"%>
<%@page import="com.ibm.pim.mdmexport.view.SynchronizationModeComponent"%>
<%@page
	import="com.ibm.pim.mdmexport.view.SynchronizationStyleComponent"%>
<%@page import="com.ibm.pim.mdmexport.view.DistributionKeyComponent"%>
<%@page import="com.ibm.pim.mdmexport.view.ReportNameComponent"%>
<%@page import="com.ibm.pim.dcl.view.WizardContainer"%>
<%@page import="com.ibm.pim.organization.User"%>
<%@page import="com.ibm.pim.mdmexport.valueobject.PropagationGroupBean"%>
<%@page import="com.ibm.pim.mdmexport.valueobject.PropagationGroup"%>
<%@page
	import="com.ibm.pim.mdmexport.component.PropagationGroupComponent"%>
<%@page import="com.ibm.pim.mdmexport.valueobject.PropagationLookup"%>
<%@page import="com.ibm.pim.mdmexport.valueobject.PropagationHierarchy"%>
<%@page import="com.ibm.pim.mdmexport.valueobject.PropagationCatalog"%>
<%@page import="java.util.Iterator"%>
<%@page import="com.ibm.pim.mdmexport.valueobject.PropagationContainer"%>
<%@page import="com.ibm.pim.dcl.utils.StringUtils"%>
<%@page import="com.ibm.pim.mdmexport.exception.MDMExportException"%>
<%@page import="com.ibm.pim.dcl.utils.CustomMessageContext"%>
<%@page import="com.ibm.pim.mdmexport.view.PropagationGroupUIHelper"%>
<%@ include file="/ccd_dcl/timeout_utils.jsp" %>
<%@page import="java.util.Map"%>
<head>
<link rel=stylesheet href='/css/pa_prof.css' type='text/css' />
<style>
.wizard_main_table
{
  background-color: #3B5C72;
  width: 100%;
  padding: 0px;
}
.wizard_main_cell
{
  background-color: #d4d7d9;
  border: 1px solid #2E4A5C;
  border-top: 1px solid #000000;
  width: 100%;
  vertical-align: top;
  horizontal-align: left;
  align: left;
  font-size:9pt;
}
.wizard_before
{
  color: #2E4A5C;
  background-color: #B7C2C7;
  font-weight: bold;
  height: 20;
  cursor: hand;
  padding: 3px;
  font-size:9pt; 
}
.wizard_header_text
{
  color: #ffffff;
  font-weight: bold;
  width: 100%;
}
.wizard_after
{
  color: #939EA3;
  background-color: #B7C2C7;
  font-weight: bold;
  height: 20;
  padding: 3px;
  font-size:9pt;
}

.wizard_current
{
  color: #ffffff;
  background-color: #4D6D7D;
  font-weight: bold;
  height: 20;
  padding: 3px;
  font-size:9pt;
}
</style>

</head>
<%
	int groupId = -1;
	PropagationGroupBean group = null;
	group = new PropagationGroupUIHelper().processRequestForPropagationSetup(request);
	
	PropagationGroup groupDetails = group.getPropagationGroup();
	
	groupId = groupDetails.getPropagationGroupId();

	PropagationGroupNameComponent wizardName = new PropagationGroupNameComponent(
			CustomMessageContext.getMessage("INFO_NAME"), "Name", "");
	PropagationGroupDescComponent wizardDesc = new PropagationGroupDescComponent(
			CustomMessageContext.getMessage("INFO_DESCRIPTION"),
			"Desc", "");
	SynchronizationModeComponent syncMode = new SynchronizationModeComponent(
			CustomMessageContext
			.getMessage("INFO_SYNCHRONIZATION_MODE"),
			"synchronizationMode", "");
	SynchronizationStyleComponent syncStyle = new SynchronizationStyleComponent(
			CustomMessageContext
			.getMessage("INFO_SYNCHRONIZATION_STYLE"),
			"synchronizationStyle", "");
	DistributionKeyComponent distributionKey = new DistributionKeyComponent(
			syncStyle, CustomMessageContext
			.getMessage("INFO_DISTRIBUTION_KEY"),
			"distributionKey", "");
	ReportNameComponent reportNameWiz = new ReportNameComponent(
			CustomMessageContext.getMessage("INFO_REPORT_NAME"),
			"reportName", "");

	WizardComponent[] components = null;

	components = new WizardComponent[] { wizardName, wizardDesc,
			syncMode, syncStyle, distributionKey, reportNameWiz };
	WizardContainer wizardContainer = new WizardContainer(request,
			CustomMessageContext
			.getMessage("INFO_CONFIG_PROPAGATION_GROUP"),
			components);

	int lastSeq = components.length;
	if (syncMode.getValue().equals("Real-time")) {
		reportNameWiz.setVisible(false);
		lastSeq = lastSeq - 1;
	}

	int seq = wizardContainer.getStepSequence();
	
	Map lkpContainers = groupDetails
			.getPropagationLkps();
	Map hierContainers = groupDetails
			.getPropagationHierarchies();
	Map ctgContainers = groupDetails
			.getPropagationCatalogs();
	int count = lkpContainers.size() + hierContainers.size()
			+ ctgContainers.size(); 
			
	String messageToTheUser = StringUtils.checkString(
		request.getAttribute("MESSAGE_FOR_LAST_ACTION"),"");		
%>
<SCRIPT>
var resultPopup = window.createPopup();
var resultPopupBody = resultPopup.document.body;
resultPopupBody.style.backgroundColor = '#ffffbb';
resultPopupBody.style.border = '1px solid #000000';
resultPopupBody.style.borderRight = '2px solid #000000';
resultPopupBody.style.borderBottom = '2px solid #000000';

function show()
{
	document.getElementById("resultDiv").style.visibility = "visible";
	ButtonClick();
}
function ButtonClick()
{
    resultPopupBody.innerHTML = document.getElementById("MESSAGE_FOR_LAST_ACTION").innerHTML;
	resultPopup.show(0,0,300,0)
    var thePopupHeight = resultPopupBody.scrollHeight + 28;
    resultPopup.hide();
	var leftt = (document.body.clientWidth - 297);
	var topp = 3;

    resultPopup.show((document.body.clientWidth - 297), topp, 250, thePopupHeight, document.body);
}

function hideDiv(){
	document.getElementById("resultDiv").style.visibility = "hidden";
	resultPopup.hide();
}
</SCRIPT>
<script>
String.prototype.trim = function () {
    return this.replace(/^\s+|\s+$/g, "");
}; 

function setSequence(sequence)
{
	document.formPropagationGroup.sequence.value = sequence;
	document.formPropagationGroup.doit.value="MOVETOSTEP";
	document.formPropagationGroup.submit();
}
function setDirtyFlag() {
	document.formPropagationGroup.dirtyFlag.value = "true";
}
function submitForm()
{
	document.formPropagationGroup.doit.value="MOVETONEXTSTEP";
	document.formPropagationGroup.sequence.value = eval(document.formPropagationGroup.sequence.value) + 1;
	
	document.formPropagationGroup.action = "/propagationsetup.wpc";
	document.formPropagationGroup.submit();
}
</script>
<script>
function gotoConfigureContainers(groupId)
{
	openTrigoWin("/config_containers_for_propagation.wpc?groupId=" + groupId,800,770,100,200,null,"Configure Containers For Propagation Group");
}

function openTrigoWin(url, height, width, top, left, features, sTitle)
{
    if (features == null|| features == "")
        features = "resizable=yes,scrollbars=yes";
    return window.open(url, "_blank", features + ",height=" + height + ",width=" + width + ",top=" + top + ",left=" + left, true);
}
function openTrigoPopupWin(url, height, width, top, left, features, onloadFocus, bHelp, sTitle, modal, winArgs, direct)
{
  url = (url == null ? "" : url);
  if (features == null|| features == "")
      features = "help:No; scroll: No; resizable: Yes; status: No;";
  if (height == null|| height == "")
      height = 600;
  if (width == null|| width == "")
      width = 800;

  if (height != null && height != "")
      features += "dialogHeight: " + height + "px;";
  if (width != null && width != "")
      features += "dialogWidth: " + width + "px;";
  if (top != null && top != "")
      features += "dialogTop: " + top + "px;";
  if (left != null && left != "")
      features += "dialogLeft: " + left + "px;";
  if (winArgs == null)
      winArgs = new Array();

  winArgs['opener'] = window;
  winArgs['url'] = url;

  if(onloadFocus != null)
  {
    winArgs['onloadFocus'] = onloadFocus;
  }

  if(bHelp != null)
  {
    winArgs['bHelp'] = bHelp;
  }

  if (sTitle != null)
  {
      winArgs['sTitle'] = sTitle;
  }

 var new_win;

 if(modal)
 {
     new_win = window.showModalDialog(url, winArgs, features);
 }
 else
 {
     new_win = window.showModelessDialog(url, winArgs, features);
 }

  return new_win;
}
function gotoPropagationGrpList()
{
	
	if(document.formPropagationGroup.dirtyFlag.value == "true"){
		if(confirm('<%=CustomMessageContext.getMessage("INFO_DISCARD_CHANGES_CONFIRM")%>') == false){
			return false;
		}
	}
	window.location.href = "/propagation_list.wpc";

}

function gotoEditContainerConfig(containerName,containerType)
{
	if((containerType == "CATALOG") || (containerType == "HIERARCHY") )
	{
		window.location.href = "/edit_container_config.wpc?containerName=" + containerName + "&containerType="+containerType+ 
			"&groupId=" + <%=groupId%>;
	}
}

function savePropagationGroup()
{
	if(document.getElementById("noContainers") == null)
	{
		document.formPropagationGroup.doit.value = "SAVE";
		document.formPropagationGroup.submit();
	}
	else
	{
		alert("<%=CustomMessageContext.getMessage("INFO_NO_CONTAINER_FOR_PRG_GROUP")%>");
	}
}
</script>
<%
boolean dirtyFlagValue = group.isDirtyFlag();
 %>
<body  scroll="auto">
<form name="formPropagationGroup" id="formPropagationGroup"
	method="post"><input type="hidden" id="doit" name="doit"
	value="" />
	<input type="hidden" id="dirtyFlag" name="dirtyFlag" value="<%=dirtyFlagValue%>"/>
<table width="100%">
	<tr>
		<td>
		<table width="100%">
			<tr>
				<td></td>
			</tr>
			<tr>
				<td width="100%">
				<table width="100%">
					<tr>
						<td><input type="button"
							value="<%=CustomMessageContext.getMessage("INFO_BACK") %>"
							onclick="javascript:gotoPropagationGrpList()"> &nbsp;&nbsp;
							<% if(seq >= lastSeq) { %>
							<input type="button"
							value="<%=CustomMessageContext.getMessage("INFO_SAVE") %>"
							onclick="savePropagationGroup()">&nbsp;&nbsp;<input
							type="button"
							value="<%=CustomMessageContext.getMessage("INFO_CONFIGURE_CONTAINERS")%>"
							onclick="javascript:gotoConfigureContainers('<%=groupId%>')">
							<% }%>
							
						</td><td width="*" align="right"><div align="right" id="resultDiv" style="visibility:hidden;" >
<img id="resultImg" src="/images/newlook/show_result_icon.gif"   height=18  width=18  border=0  onclick="ButtonClick()" ondblClick="hideDiv()" align="right"></img>
</div>
<div id="MESSAGE_FOR_LAST_ACTION" style="visibility:hidden">
<table border=0 cellspacing=0 cellpadding=2 width='100%'>
<tr><td><%=messageToTheUser%></td></tr></table></div></td>
					</tr>
				</table>
				</td>
			</tr>
			<tr>
				<td>
				<%
				out.write(wizardContainer.render().toString());
				%>
				</td>
			</tr>
			<tr>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td>
				<table cellpadding="0" cellspacing="0"
					style="border:1px solid #848484; border-bottom:1px solid #000000"
					width="100%">
					<tr>
						<td colspan="5" align="left" bgcolor="#000000"
							background="../images/newlook/leftnav_header_background.gif"><font
							color="#ffffff"><%=CustomMessageContext
							.getMessage("INFO_CONTAINER_CONFIGURATION")%></font></td>
					</tr>

					<%
					if (count == 0) {
					%>
					<tr>
						<td colspan="5" id="noContainers" name="noContainers"><%=CustomMessageContext
										.getMessage("INFO_NO_CONTAINERS")%></td>
					</tr>
					<%
					} else {
					%>
					<tr bgcolor="#b4b4b4">
						<td><%=CustomMessageContext
								.getMessage("INFO_CONTAINER_NAME")%></td>
						<td><%=CustomMessageContext
								.getMessage("INFO_CONTAINER_TYPE")%></td>
						<td><%=CustomMessageContext.getMessage("INFO_ACTION")%></td>
					</tr>

					<%
							int i = 0;
							for (Iterator iterContainers = lkpContainers
							.values().iterator(); iterContainers.hasNext();) {
								PropagationContainer container = (PropagationLookup)iterContainers.next();

								if (i % 2 != 0) {
					%>
					<tr class=tablebean_odd_product>
						<td class="tablebean_odd_product"><%=container.getContainerName()%></td>
						<td class="tablebean_odd_product"><%=CustomMessageContext
										.getMessage("INFO_LOOKUP_TABLE")%></td>
						<td class="tablebean_odd_product">&nbsp;</td>
					</tr>
					<%
					} else {
					%>
					<tr class="tablebean_even">
						<td class="tablebean_even"><%=container.getContainerName()%></td>
						<td class="tablebean_even"><%=CustomMessageContext
										.getMessage("INFO_LOOKUP_TABLE")%></td>
						<td class="tablebean_even">&nbsp;</td>
					</tr>
					<%
								}
								i++;
							}

							for (Iterator iterContainers = hierContainers
							.values().iterator(); iterContainers.hasNext();) {
								PropagationContainer container = (PropagationHierarchy)iterContainers.next();

								if (i % 2 != 0) {
					%>
					<tr class=tablebean_odd_product>
						<td class="tablebean_odd_product"><%=container.getContainerName()%></td>
						<td class="tablebean_odd_product"><%=CustomMessageContext
										.getMessage("INFO_HIERARCHY")%></td>
						<td class="tablebean_odd_product"><input type="button"
							value="<%=CustomMessageContext.getMessage("INFO_EDIT") %>"
							onclick="javascript:gotoEditContainerConfig('<%=container.getContainerName()%>','<%=container.getContainerType()%>')">
						&nbsp;</td>
					</tr>
					<%
					} else {
					%>
					<tr class="tablebean_even">
						<td class="tablebean_even"><%=container.getContainerName()%></td>
						<td class="tablebean_even"><%=CustomMessageContext
										.getMessage("INFO_HIERARCHY")%></td>
						<td class="tablebean_even"><input type="button"
							value="<%=CustomMessageContext.getMessage("INFO_EDIT") %>"
							onclick="javascript:gotoEditContainerConfig('<%=container.getContainerName()%>','<%=container.getContainerType()%>')">
						&nbsp;</td>
					</tr>
					<%
								}
								i++;
							}
							for (Iterator iterContainers = ctgContainers
							.values().iterator(); iterContainers.hasNext();) {
								PropagationContainer container = (PropagationCatalog)iterContainers.next();

								if (i % 2 != 0) {
					%>
					<tr class="tablebean_odd_product">
						<td class="tablebean_odd_product"><%=container.getContainerName()%></td>
						<td class="tablebean_odd_product"><%=CustomMessageContext
										.getMessage("INFO_CATALOG")%></td>
						<td class="tablebean_odd_product"><input type="button"
							value="<%=CustomMessageContext.getMessage("INFO_EDIT") %>"
							onclick="javascript:gotoEditContainerConfig('<%=container.getContainerName()%>','<%=container.getContainerType()%>')">
						&nbsp;</td>
					</tr>
					<%
					} else {
					%>
					<tr class="tablebean_even">
						<td class="tablebean_even"><%=container.getContainerName()%></td>
						<td class="tablebean_even"><%=CustomMessageContext
										.getMessage("INFO_CATALOG")%></td>
						<td class="tablebean_even"><input type="button"
							value="<%=CustomMessageContext.getMessage("INFO_EDIT") %>"
							onclick="javascript:gotoEditContainerConfig('<%=container.getContainerName()%>','<%=container.getContainerType()%>')">
						&nbsp;</td>
					</tr>
					<%
								}
								i++;
							}
						}
					%>
				</table>
				</td>
			</tr>
		</table>
		</td>
	</tr>
</table>
</form>

<%

	if(!messageToTheUser.equals("")){
		out.write("<script>show();</script>");
	}
	
%>
</body>
