/*********************************************** {COPYRIGHT-TOP} ***
* IBM Confidential
* OCO Source Materials
* 5724-V51
*
* (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
*
* The source code for this program is not published or otherwise
* divested of its trade secrets, irrespective of what has been
* deposited with the U.S. Copyright Office.
************************************************ {COPYRIGHT-END} **/




/*
* Licensed Materials: Property of IBM
* "Restricted Materials of import java.io.Serializable;
"
* 5724-I68.
* (C) Copyright IBM Corp. 2000, 2005 - All Rights Reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/


/*
 * Created on Jan 24, 2005
 */
package com.ibm.ccd.ui.context;

import java.io.Serializable;


/**
 *
 */
public class WPSContext implements Serializable {
    /**
     * Indicates the key for storing <code>WPSContext</code> Object in the <code>PortletSession</code>
     */
    public static final String KEY_WPS_CONTEXT_BEAN = "WPS_CONTEXT_BEAN";

    /**
     * Contains the <code>WPCUser</code> Object
     * This object stores user settings from LDAP
     */
    private WPCUser wpcUser = null;

    /**
     * Default constructor
     */
    public WPSContext() {
        super();
    }

    /**
     * @return user
     */
    public WPCUser getWpcUser() {
        return wpcUser;
    }

    /**
     * @param user
     */
    public void setWpcUser(WPCUser user) {
        wpcUser = user;
    }
}
