create table temp_std
( 
    std_cmp_id                    integer not null,
    std_wfl_id                    integer,
    std_id                        integer not null,
    std_name                      varchar(200),
    std_desc                      varchar(3000),
    std_type                      varchar(100) not null,
    std_script_path               varchar(1000),
    std_deadline_date             timestamp,
    std_deadline_duration         bigint,
    std_entry_notification        varchar(3000),
    std_deadline_notification     varchar(3000),
    std_allow_add_entries         char(1),
    std_recategorize              char(1),
    std_allow_reserve_entries     char(1),
    std_view_id                   integer,
    primary key (std_id, std_cmp_id, std_type)
) 
in users index in indx;

insert into temp_std
select * from std;

drop table twfl_std_step_def;

rename temp_std to twfl_std_step_def;

create index iwfl_std_0 on twfl_std_step_def (
        std_wfl_id,
        std_cmp_id
)   ALLOW REVERSE SCANS;



