-- <ScriptOptions statementTerminator="@" />    
SET CURRENT SQLID=<SCHEMA>@   
DROP TRIGGER I_CAT_INSERT@

CREATE TRIGGER I_CAT_INSERT
	AFTER INSERT ON TCTG_CAT_CATEGORY
	REFERENCING  NEW AS NEW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC
	  DECLARE EVENT_TYPE CHAR;
	  DECLARE CHICOUNT INTEGER;
	  DECLARE HIER_NAME VARCHAR(100);	  DECLARE LOG_LEVEL CHAR(1);	  DECLARE COMPANY_CODE VARCHAR(20);	  DECLARE HIER_TYPE VARCHAR(100);
	  DECLARE UPDATE_CAT_EVENT_ID INTEGER;	  
	IF NEW.CAT_NEXT_VERSION_ID = 999999999 THEN
		SET COMPANY_CODE = (SELECT CMP_COMPANY_CODE FROM CMP WHERE CMP_COMPANY_ID = NEW.CAT_COMPANY_ID);
		
	  	SET (HIER_NAME, HIER_TYPE) = (SELECT CTR_NAME, 	  		   CASE CTR_TYPE 				WHEN 'CATEGORY_TREE' THEN 'HIERARCHY'				ELSE CTR_TYPE 		   	   END		   FROM CTR WHERE CTR_ID = NEW.CAT_CONTAINER_ID		   			AND CTR_COMPANY_ID = NEW.CAT_COMPANY_ID);		   			  		SET LOG_LEVEL = (SELECT DLC_LOG_LEVEL FROM TDCL_DLC_DATACHANGE_CONFIG 						WHERE DLC_CONTAINER_NAME = HIER_NAME 						AND DLC_CONTAINER_TYPE = HIER_TYPE						AND DLC_COMPANY_CODE = COMPANY_CODE						AND DLC_ENABLED = 'Y');	  
		IF LOG_LEVEL IS NOT NULL THEN	  			SET CHICOUNT = (SELECT COUNT(*) FROM CHI WHERE CHI_CHILD_ID = NEW.CAT_ID AND CHI_NEXT_VERSION_ID = 999999999);						  
			SET HIER_NAME = (SELECT CTR_NAME FROM CTR WHERE CTR_ID = NEW.CAT_CONTAINER_ID);
			  IF CHICOUNT = 0 THEN
			  	INSERT INTO TDCL_CEL_CATEGORY_EVENT_LOG VALUES
			  	(
			  		nextval for QDCL_CEL_EVENT_ID,
			  		COMPANY_CODE,
			  		NEW.CAT_ID,
			  		HIER_NAME,
			  		NEW.CAT_PRIMARY_KEY,
			  		'I',
			  		NULL,
			  		NEW.CAT_VERSION_ID,
			  		NEW.CAT_NEXT_VERSION_ID,
			  		NEW.CAT_LAST_MODIFIED,
					CURRENT_TIMESTAMP
			  	);
			  ELSE
			  	SET UPDATE_CAT_EVENT_ID = (SELECT MAX(CEL_EVENT_ID) FROM TDCL_CEL_CATEGORY_EVENT_LOG 
			  		WHERE CEL_ENTRY_ID = NEW.CAT_ID AND (CEL_EVENT_TYPE = 'U') AND CEL_NEXT_VERSION_ID = 999999999);
			  	UPDATE TDCL_CEL_CATEGORY_EVENT_LOG SET CEL_EVENT_TYPE='U', 
			  	CEL_PRIMARY_KEY = NEW.CAT_PRIMARY_KEY, CEL_LAST_MODIFIED_TIME = NEW.CAT_LAST_MODIFIED,
			  	CEL_VERSION_ID = NEW.CAT_VERSION_ID , CEL_NEXT_VERSION_ID = NEW.CAT_NEXT_VERSION_ID,
				CEL_EVENT_TIME = CURRENT_TIMESTAMP
			  	WHERE CEL_EVENT_ID = UPDATE_CAT_EVENT_ID;
			  	
			  END IF;
		 END IF;
	  END IF;
  END@

