<%@ page language="java" contentType="text/html; charset=utf-8"
	pageEncoding="utf-8"%>
<%@page import="com.ibm.pim.dcl.configuration.*"%>
<%@page import="java.util.List"%>
<%@page import="java.util.Collections"%>
<%@page import="com.ibm.pim.dcl.view.WizardComponent"%>
<%@page import="com.ibm.pim.dcl.view.SelectContainerName"%>
<%@page import="com.ibm.pim.dcl.view.SelectContainerType"%>
<%@page import="com.ibm.pim.dcl.view.WizardContainer"%>
<%@page import="com.ibm.pim.dcl.view.TextComponent"%>
<%@page import="com.ibm.pim.dcl.view.SelectLogLevel"%>

<%@page import="com.ibm.pim.dcl.configuration.PLPProcessor"%>
<%@page import="com.ibm.pim.dcl.view.DeltaChangeCalculatorComponent"%>
<%@page import="com.ibm.pim.dcl.view.DCLEnabledComponent"%>

<%@page import="com.ibm.pim.dcl.view.DataChangeConfigurationBean"%>

<%@page import="com.ibm.pim.dcl.utils.StringUtils"%>
<%@page import="com.ibm.pim.dcl.utils.CustomMessageContext"%>
<%@page import="com.ibm.pim.dcl.view.DCLUiHelper"%>
<%@ include file="/ccd_dcl/timeout_utils.jsp" %>
<head>
<link rel=stylesheet href='/css/pa_prof.css' type='text/css'/>
<style>
.wizard_main_table
{
  background-color: #3B5C72;
  width: 100%;
  padding: 0px;
}
.wizard_main_cell
{
  background-color: #d4d7d9;
  border: 1px solid #2E4A5C;
  border-top: 1px solid #000000;
  width: 100%;
  vertical-align: top;
  horizontal-align: left;
  align: left;
  font-size:9pt;
}
.wizard_before
{
  color: #2E4A5C;
  background-color: #B7C2C7;
  font-weight: bold;
  height: 20;
  cursor: hand;
  padding: 3px;
  font-size:9pt; 
}
.wizard_header_text
{
  color: #ffffff;
  font-weight: bold;
  width: 100%;
}
.wizard_after
{
  color: #939EA3;
  background-color: #B7C2C7;
  font-weight: bold;
  height: 20;
  padding: 3px;
  font-size:9pt;
}

.wizard_current
{
  color: #ffffff;
  background-color: #4D6D7D;
  font-weight: bold;
  height: 20;
  padding: 3px;
  font-size:9pt;
}
</style>
<%

	int seq = 0;
	int dispatchSequence = -1;

	DataChangeConfigurationBean dclConfig = new DCLUiHelper().processRequestForDCLConfig(request);
	dispatchSequence = dclConfig.getDispatchSequence();

	List lsProcessors = dclConfig.getProcessors();
	if(dclConfig == null) {
		out.print("<script>alert('" + CustomMessageContext.getMessage("INFO_DCL_DOES_NOT_EXISTS") +"');"+
					"window.location.href='/dcl_list.wpc';</script>");
	}
	else {
	Collections.sort(lsProcessors);
	String containerName = dclConfig.getContainerName();
	String containerType = dclConfig.getContainerType();


	SelectContainerType wizardContainerType = new SelectContainerType(
			CustomMessageContext.getMessage("INFO_CONTAINER_TYPE"), "containerType", "");
	SelectContainerName wizardContainerName = new SelectContainerName(
			wizardContainerType, CustomMessageContext.getMessage("INFO_CONTAINER_NAME"), "containerName", "");
	DCLEnabledComponent wizardEnabled = new DCLEnabledComponent(
			CustomMessageContext.getMessage("INFO_ENABLED"), "enabled", "Y");
	SelectLogLevel wizardLogLevel = new SelectLogLevel(CustomMessageContext.getMessage("INFO_LOG_LEVEL"),
			"logLevel", "A");
	WizardComponent[] components = null;
	TextComponent wizardDeltaChangeCalculator = null;
	wizardDeltaChangeCalculator = new DeltaChangeCalculatorComponent(
			CustomMessageContext.getMessage("INFO_CHANGE_CALCULATOR"), "changeCalculator", "");
			
	components = new WizardComponent[] { wizardContainerType,
			wizardContainerName, wizardEnabled, wizardLogLevel,
			wizardDeltaChangeCalculator };

	WizardContainer wizardContainer = new WizardContainer(request,
			CustomMessageContext.getMessage("INFO_CONFIG_DCL"), components);


	if (!wizardLogLevel.getValue().equals("A")) {
		wizardDeltaChangeCalculator.setVisible(false);
	}

	if (dclConfig.getConfigId() > 0) {
		wizardContainerName.setEditable(false);
		wizardContainerType.setEditable(false);
	}
	seq = wizardContainer.getStepSequence();
	int lastSeq = components.length;

	boolean dirtyFlagValue = dclConfig.isDirtyFlag();

	String messageToTheUser = StringUtils.checkString(
		request.getAttribute("MESSAGE_FOR_LAST_ACTION"),"");
	

%>
<SCRIPT>
var resultPopup = window.createPopup();
var resultPopupBody = resultPopup.document.body;
resultPopupBody.style.backgroundColor = '#ffffbb';
resultPopupBody.style.border = '1px solid #000000';
resultPopupBody.style.borderRight = '2px solid #000000';
resultPopupBody.style.borderBottom = '2px solid #000000';

function show()
{
	var ctrl = document.getElementById("resultDiv");
	ctrl.style.visibility = "visible";
	ctrl.style.top="3px";
	ButtonClick();
}
function ButtonClick()
{
    resultPopupBody.innerHTML = document.getElementById("MESSAGE_FOR_LAST_ACTION").innerHTML;
	resultPopup.show(0,0,300,0)
    var thePopupHeight = resultPopupBody.scrollHeight + 28;
    resultPopup.hide();
	var leftt = (document.body.clientWidth - 297);
	var topp = 3;
	resultPopup.show((document.body.clientWidth - 297), topp, 250, thePopupHeight, document.body);
}

function hideDiv(){
		document.getElementById("resultDiv").style.visibility = "hidden";
		resultPopup.hide();
}

</SCRIPT>
<script><!--

String.prototype.trim = function () {
    return this.replace(/^\s+|\s+$/g, "");
}; 

function setSequence(sequence)
{
	document.dclconfig.sequence.value = sequence;
	document.dclconfig.doit.value="MOVETOSTEP";
	document.dclconfig.submit();
}
function setDirtyFlag() {
	document.dclconfig.dirtyFlag.value = "true";
}
function submitForm()
{
	document.dclconfig.doit.value="MOVETONEXTSTEP";
	document.dclconfig.sequence.value = eval(document.dclconfig.sequence.value) + 1;
	if(document.dclconfig.changeCalculator != null){
		document.dclconfig.changeCalculator.value = document.dclconfig.changeCalculator.value.trim();
		if(document.dclconfig.changeCalculator.value == ""){
			alert("<%=CustomMessageContext.getMessage("INFO_SPECIFY_CHANGE_CALC_IMPL")%>");
			return false;
		}
	}
	
	document.dclconfig.action = "/dcl_config.wpc";
	document.dclconfig.submit();
}

function movePLP(direction){
	if(document.dclconfig.dispatchSequence.value == "") {
		alert("<%=CustomMessageContext.getMessage("INFO_SELECT_PROCESSOR_TO_MOVE")%>");
		return;
	}
	if(direction == "UP"){
		if(document.dclconfig.dispatchSequence.value == "1"){
			alert("<%=CustomMessageContext.getMessage("INFO_CANNOT_MOVE_UP")%>");
			return;
		}
		document.dclconfig.doit.value="MOVEUP_PROCESSOR";
	}
	else{
		
		if(document.dclconfig.dispatchSequence.value == "<%=lsProcessors.size()%>"){
			alert("<%=CustomMessageContext.getMessage("INFO_CANNOT_MOVE_DOWN")%>");		
			return;
		}
		
		document.dclconfig.doit.value="MOVEDOWN_PROCESSOR";
		
	}
	
	document.dclconfig.action = "/dcl_config.wpc";
	
	document.dclconfig.submit();
}

function saveDCLConfig(){
	document.dclconfig.action = "/dcl_config.wpc";
	document.dclconfig.doit.value="SAVE";
	document.dclconfig.submit();
}

function showProcessorsSection() {
	var visible = (document.getElementById("PLP").style.visibility == 'visible');
	if (visible) 
	{
		document.getElementById("PLP").style.visibility =  'hidden';
	}
	else
	{
		document.getElementById("PLP").style.visibility =  'visible';
	}
}

function addPLP() {
	document.dclconfig.doit.value="ADD_PROCESSOR";
	document.dclconfig.dispatchSequence.value=-1;
	document.dclconfig.action="/dcl_pluggable_processors.wpc";
	document.dclconfig.submit();
}

function editPLP() {
	if(document.dclconfig.dispatchSequence.value == "-1")
	{
		alert("<%=CustomMessageContext.getMessage("INFO_SELECT_PROCESSOR")%>");
		return;
	}
	else
	{
		document.dclconfig.doit.value="EDIT_PROCESSOR";
		document.dclconfig.action="/dcl_pluggable_processors.wpc";
		document.dclconfig.submit();
	}
}

function configurePLP(action) 
{
	window.location.href="dcl_pluggable_processors.html";
}

function gotoDCLListing() 
{
	if(document.dclconfig.dirtyFlag.value == "true")
	{
		if(confirm("<%=CustomMessageContext.getMessage("INFO_DISCARD_CHANGES_CONFIRM")%>") == false)
		{
			return false;
		}
	}
	window.location.href="/dcl_list.wpc";
}

function updateSelectedProcessor(dispatchSequence )
{
	document.dclconfig.dispatchSequence.value=dispatchSequence;
}

function deletePLP() {
	if(document.dclconfig.dispatchSequence.value == "-1")
	{
		alert("<%=CustomMessageContext.getMessage("INFO_SELECT_PROCESSOR")%>");
		return;
	}
	else
	{
		document.dclconfig.doit.value = "DELETE_PROCESSOR";
		document.dclconfig.action = "/dcl_config.wpc";
		document.dclconfig.submit();
	}
}

function fetchContainersForType(){
	var containerType = document.dclconfig.containerType.value;
	if(containerType == "")
	{
		alert("<%=CustomMessageContext.getMessage("INFO_SELECT_CONTAINER_TYPE")%>");
		return;		
	}
	else
	{
		document.dclconfig.doit.value="RETRIEVE_CONTAINERS";	
		document.dclconfig.action = "/dcl_config.wpc";
		document.dclconfig.submit();
	}
}

--></script>
</head>
<body scroll="auto">

<form name="dclconfig" id="dclconfig" method="post"><input
	name="dispatchSequence" id="dispatchSequence"
	value="<%=dispatchSequence%>" type="hidden" /><input type="hidden" id="doit" name="doit" value="" />
	<input type="hidden" id="dirtyFlag" value="<%=dirtyFlagValue%>" name="dirtyFlag"/>
<table width="100%">
	<tr>
		<td width="100%">
		<table width="100%">
			<tr>
				<td width="20%"><input type="button" value="<%=CustomMessageContext.getMessage("INFO_BACK")%>" 
					onclick="javascript:gotoDCLListing()"></input>
				<%
				if (seq >= lastSeq
				|| (seq == (lastSeq - 1) && !wizardDeltaChangeCalculator
				.isVisible())) {
				%>&nbsp;&nbsp;<input type="button" value="<%=CustomMessageContext.getMessage("INFO_SAVE")%>" onclick="saveDCLConfig()"></input>
				<%
				}
				%></td>
				<td width="*" align="right"><div align="right" id="resultDiv" style="visibility:hidden;" >
<img id="resultImg" src="/images/newlook/show_result_icon.gif"   height=18  width=18  border=0  onclick="ButtonClick()" ondblClick="hideDiv()" align="right"></img>
</div>
<div id="MESSAGE_FOR_LAST_ACTION" style="visibility:hidden">
<table border=0 cellspacing=0 cellpadding=2 width='100%'>
<tr><td><%=messageToTheUser%></td></tr></table></div></td>
			</tr>
		</table>
		</td>
	</tr>
	
	
	<tr>
		<td>
		<%
		out.write(wizardContainer.render().toString());
		if ((seq >= lastSeq) && wizardLogLevel.getValue().equals("A")) {
		%>
		<table width="100%">
			<tr>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td colspan="2" width="100%">
				<table cellpadding='0' cellSpacing='0'
					style='border:1px solid #848484; border-bottom:1px solid #000000'
					width="100%">
					<tr>
						<td colspan="5" align="left" bgcolor='#000000'
							background='../images/newlook/leftnav_header_background.gif'><font
							color="#ffffff"><%=CustomMessageContext.getMessage("INFO_CONFIG_PLUGGABLE_PROCESSORS")%></font></td>
					</tr>
					<%
					if (lsProcessors.size() == 0) {
					%>
					<tr bgcolor="#b4b4b4">
						<td colspan="5"><%=CustomMessageContext.getMessage("INFO_NO_PROCESSORS_CONFIGURED")%></td>
					</tr>
					<%
					} else {
					%>
						<tr bgcolor="#b4b4b4">
							<td><%=CustomMessageContext.getMessage("INFO_SELECT")%>&nbsp;&nbsp;</td>
							<td><%=CustomMessageContext.getMessage("INFO_FORMATTER_CLASS")%>&nbsp;&nbsp;&nbsp;</td>
							<td><%=CustomMessageContext.getMessage("INFO_DISPATCHER_CLASS")%>&nbsp;&nbsp;&nbsp;</td>
							<td><%=CustomMessageContext.getMessage("INFO_SEQUENCE_OF_DISPATCH")%>&nbsp;&nbsp;&nbsp;</td>
							<td><%=CustomMessageContext.getMessage("INFO_ENABLED")%>&nbsp;&nbsp;&nbsp;</td>
						</tr>
	
						<%
						for (int i = 0; i < lsProcessors.size(); i++) {
							PLPProcessor processor = (PLPProcessor)lsProcessors.get(i);
							String toBeChecked = (processor.getDispatchSequence() == dispatchSequence) ? "checked"
								: "";
							if (i % 2 == 0) {
						%>
							<tr bgcolor="#e4e4e4">
								<td><input type="radio" id="pluggableId" name="pluggableId"
									onclick="updateSelectedProcessor('<%=processor.getDispatchSequence()%>')"
									<%=toBeChecked%> /> &nbsp;&nbsp;&nbsp;</td>
								<td><%=processor.getFormatter()%>&nbsp;&nbsp;&nbsp;</td>
								<td><%=processor.getDispatcher()%>&nbsp;&nbsp;&nbsp;</td>
								<td><%=processor.getDispatchSequence()%>&nbsp;&nbsp;&nbsp;</td>
								<td><%=(processor.isEnabled() ? CustomMessageContext.getMessage("INFO_YES") : CustomMessageContext.getMessage("INFO_NO"))%>&nbsp;&nbsp;&nbsp;</td>
							</tr>
							<%
							} else {
							%>
							<tr bgcolor="#C1CCDE">
								<td><input type="radio" id="pluggableId" name="pluggableId"
									onclick="updateSelectedProcessor('<%=processor.getDispatchSequence()%>')"
									<%=toBeChecked%> /> &nbsp;&nbsp;&nbsp;</td>
								<td><%=processor.getFormatter()%>&nbsp;&nbsp;&nbsp;</td>
								<td><%=processor.getDispatcher()%>&nbsp;&nbsp;&nbsp;</td>
								<td><%=processor.getDispatchSequence()%>&nbsp;&nbsp;&nbsp;</td>
								<td><%=(processor.isEnabled() ? CustomMessageContext.getMessage("INFO_YES") : CustomMessageContext.getMessage("INFO_NO"))%>&nbsp;&nbsp;&nbsp;</td>
							</tr>
				<%
						}
					}
				}
				%>
				</table>
				<table>
					<tr>
						<td colspan="5">
						<table>
							<tr>
								<td><input type="button" value="<%=CustomMessageContext.getMessage("INFO_ADD")%>"
									onclick="javascript:addPLP();" /> &nbsp; &nbsp; 
								<%
								if (lsProcessors.size() > 0) { 
								%>
 								<input type="button" value="<%=CustomMessageContext.getMessage("INFO_EDIT")%>"
									onclick="javascript:editPLP('<%=containerName%>','<%=containerType%>');" />
								&nbsp; &nbsp; <input type="button" value="<%=CustomMessageContext.getMessage("INFO_DELETE")%>"
									onclick="deletePLP()" /> &nbsp; 
								<%
								if (lsProcessors.size() > 1) {
								%>
									<input type="button" value="<%=CustomMessageContext.getMessage("INFO_MOVE_UP")%>" onclick="movePLP('UP')" />
									&nbsp; <input type="button" value="<%=CustomMessageContext.getMessage("INFO_MOVE_DOWN")%>"
										onclick="movePLP('DOWN')" /> &nbsp; 
								<%
 									}
 								}
							%>
								</td>
							</tr>
						</table>
						</td>
					</tr>
				</table>
				</td>
			</tr>
		</table>
		<%
		}
		%>
		</td>
	</tr>
</table>
</form>

<%

	if(!messageToTheUser.equals("")){
		out.write("<script>show();</script>");
	}
	}
%>

</body>
