/*********************************************** {COPYRIGHT-TOP} ***
* IBM Confidential
* OCO Source Materials
* 5724-V51
*
* (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
*
* The source code for this program is not published or otherwise
* divested of its trade secrets, irrespective of what has been
* deposited with the U.S. Copyright Office.
************************************************ {COPYRIGHT-END} **/




/*
* Licensed Materials: Property of IBM
* "Restricted Materials of IBM"
* 5724-I68.
* (C) Copyright IBM Corp. 2000, 2005 - All Rights Reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/


/**
 * ITransaction This interface defines getter methods of Transaction Object.
 *
 */
package com.ibm.ccd.ui.alert.framework;



public interface ITransaction {
    /**
     * @return string
     */
    public String getTransactionID();

    /**
     * @return string
     */
    public String getTransactionDescription();

    /**
     * @return string
     */
    public String getTransactionStartTime();

    /**
     * @return string
     */
    public String getTransactionEndTime();

    /**
     * @return string
     */

    //	public String getTransactionDetails();

    /**
     * @return string
     */
    public String getTransactionStatus();

    
    public void setTransactionStatus(String status);

    /**
     * @return boolean
     */
    public boolean isTransactionStatusCompleted();

    /**
     * @return string
     */
    public String getAttachmentFilePath();

    /**
     * @param string
     */
    public void setAttachmentFilePath(String string);

    
    public String getXlsAttachmentFilePath();

    /**
     * @param string
     */
    public void setXlsAttachmentFilePath(String string);
}
