/*********************************************** {COPYRIGHT-TOP} ***
* IBM Confidential
* OCO Source Materials
* 5724-V51
*
* (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
*
* The source code for this program is not published or otherwise
* divested of its trade secrets, irrespective of what has been
* deposited with the U.S. Copyright Office.
************************************************ {COPYRIGHT-END} **/




/*
* Licensed Materials: Property of IBM
* "Restricted Materials of IBM"
* 5724-I68.
* (C) Copyright IBM Corp. 2000, 2005 - All Rights Reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/


/**
 * TransactionDisplayViewBean: This bean class is for portlet TransactionDisplayPortlet
 */
package com.ibm.ccd.ui.portlets.alert;

import com.ibm.ccd.ui.alert.framework.ITransaction;
import com.ibm.ccd.ui.alert.framework.ITransactions;


public class TransactionDisplayViewBean {
    private ITransactions transSet = null;
    private ITransaction transaction = null;
    private String Attachmentpath = null;
    private String AttachmentXLSpath = null;
    private String Command = null;
    private String transactionIdDisplayed = null;

    /**
     * @return ITransactions
     */
    public ITransactions getTransSet() {
        return transSet;
    }

    /**
     * @param transactions
     */
    public void setTransSet(ITransactions transactions) {
        transSet = transactions;
    }

    /**
     * @return ITransaction
     */
    public ITransaction getTransaction() {
        return transaction;
    }

    /**
     * @param transaction
     */
    public void setTransaction(ITransaction transaction) {
        this.transaction = transaction;
    }

    /**
     * @return string
     */
    public String getAttachmentpath() {
        return Attachmentpath;
    }

    /**
     * @param string
     */
    public void setAttachmentpath(String string) {
        Attachmentpath = string;
    }

    /**
     * @return string
     */
    public String getCommand() {
        return Command;
    }

    /**
     * @param string
     */
    public void setCommand(String string) {
        Command = string;
    }

    /**
     * @return string
     */
    public String getTransactionIdDisplayed() {
        return transactionIdDisplayed;
    }

    /**
     * @param string
     */
    public void setTransactionIdDisplayed(String string) {
        transactionIdDisplayed = string;
    }

    /**
     * @return string
     */
    public String getAttachmentXLSpath() {
        return AttachmentXLSpath;
    }

    /**
     * @param string
     */
    public void setAttachmentXLSpath(String string) {
        AttachmentXLSpath = string;
    }
}
