create table temp_std
( 
    std_cmp_id                    number(9,0) not null,
    std_wfl_id                    number(9,0),
    std_id                        number(9,0) not null,
    std_name                      varchar2(200),
    std_desc                      varchar2(3000),
    std_type                      varchar2(100) not null,
    std_script_path               varchar2(1000),
    std_deadline_date             date,
    std_deadline_duration         number(13,0),
    std_entry_notification        varchar2(3000),
    std_deadline_notification     varchar2(3000),
    std_allow_add_entries         char(1),
    std_recategorize              char(1),
    std_allow_reserve_entries     char(1),
    std_view_id                   number(9, 0),
    primary key (std_id, std_cmp_id, std_type)
) 
tablespace users;

insert into temp_std
select * from std;

drop table twfl_std_step_def;

rename temp_std to twfl_std_step_def;

create index iwfl_std_0 on twfl_std_step_def (
        std_wfl_id,
        std_cmp_id
) tablespace indx  NOLOGGING;

